sloter (Все сообщения пользователя)

Выбрать дату в календареВыбрать дату в календаре

Страницы: 1 2 3 4 5 6 7 8 9 10 11 ... 62 След.
обрезать тело поверхностью
[QUOTE]Ra77 пишет:
теперь не получается "отрезать" от исходной детали лишнее. подскажите как[/QUOTE]
А что делаете? Вроде всё так же, как и с обычными поверхностями. Команды Разделить (вариант Обрезать твёрдое тело) или Скульптор - на выбор. Ещё можно использовать Заменить грань. Последний вариант, пожалуй, самый универсальный, ибо позволяет не только "отсекать лишнее" но и "добавлять недостающее". Т.е. произвольно менять форму грани.
113.png (181.16 КБ)
114.png (185.78 КБ)
Изменено: sloter - 18.04.2019 14:59:07
Inventor - существенные новшества с версии 2012
[QUOTE]Mechanikas пишет:
доводится работать в партнерстве с немецкими, английскими коллегами - так вот, не особо там гонятся за новейшими версиями - если нет веских причин  
Т. е. переходить на новейшую версию, только потому, что она новейшая - не особо стремятся.[/QUOTE]
Думаю, потому, что там обновление официальное - "по другому" практически не реально. А платить за те крохи новинок, что появляются в новых версиях, не очень то и оправданно. В техническом плане (по возможностям) обновляться есть резон, ибо в этих крохах обновлений  до сих пор "лечатся детские болезни", мешающие продуктивно работать, (некоторые так и не вылечены ещё) - то, что в некоторых других системах есть чуть ли ни с самого основания.
К тому же, есть довольно консервативные отрасли (или фирмы), выпускающие продукцию, пользующуюся долговременным устойчивым спросом, и особо в новациях не нуждающиеся. И если программа полностью решает их задачи, то зачем что то менять...
Изменено: sloter - 10.04.2019 15:21:47
Inventor 2019, Впечатления, описание новых вожностей программы АИ2019
Как то совсем незаметно выходить стал. Новинок - как обычно - даже на sp (у других вендоров) не тянет... Понимаю маркетинг Автодеска по полному переходу на аренду (подписку). С таким количеством новинок на новые версии чаще чем раз в 3-4 года официально обновляться неоправданно.
Изменено: sloter - 30.03.2019 15:30:25
Редактирование атрибутов стандартных (СС) деталей.
Возвращаясь к этой теме... Редактирую таблицу семейства. Part Number вычистил. Формулу из Part Number перекинул в столбец Наименование. Создал столбец "Группа прочности" как Пользовательский столбец с возможностью ввода значения вручную (см. скрин). Добавил параметр "Группа прочности" в формулу для Наименование. Вроде работает - есть окошко для ввода значения, но есть 2 существенные проблемы.
1. Деталь по дефолту предлагает вставляться только "Как пользовательская" (полагаю из за того, что есть пользовательский параметр, но как сделать выражением не пойму), следовательно игнорируя опцию "Авторазмещения", что на порядок снижает продуктивность и удобство вставки метизов.
2. Нельзя оставить поле для ввода пустым. Т.е. без указания данного параметра (число) вставить метиз невозможно. А это бывает необходимо.

Может кто подскажет решения этих проблем... По п.2 наверняка можно задать конкретные варианты для выбора (хотя бы так). Только не знаю как. И главное как можно оставлять параметр пустым? Ну и п.1 сильно актуален. Не готов от него отказаться.
Изменено: sloter - 28.02.2019 11:14:00
Редактирование атрибутов стандартных (СС) деталей.
[QUOTE]v b пишет:
АИ2012, помнится на 2014 вроде работало, если склероз не изменяет[/QUOTE]
Ага. Значит влияние версии пока исключить нельзя. У меня до 2016 (включительно) то же работало.
Может кто с более свежими (2018, 2019) версиями отпишется?
Изменено: sloter - 16.01.2019 10:44:47
Редактирование атрибутов стандартных (СС) деталей.
[QUOTE]v b пишет:
Мне кажется, это от виндовс зависит, началось с 7-ки.[/QUOTE]
На W7 уже десяток лет почти работаю. Были проблемы с запуском самой проги (Material_NET) - решил добавлением прав на папку с прогой. С редактированием и сохранением атрибутов деталей СС проблем не было до недавнего времени.
И всё таки на какой версии АИ у Вас сохраняет? Что бы мне исключить влияние версии.
Редактирование атрибутов стандартных (СС) деталей.
Og
Изменено: sloter - 15.01.2019 06:39:18
Редактирование атрибутов стандартных (СС) деталей.
[QUOTE]sloter пишет:
Мне вот то же кажется, то раньше (до смены ПК, в АИ 2016) то же сохранялось...[/QUOTE]
Да, точно, вспомнил. Сохранялось. И до АИ2016. Правда я там другие атрибуты редактировал, но не суть - сохранялось. С давних пор так работал.
[QUOTE]v b пишет:
Чудесным образом специя М. Казакова позволяет менять обозначения болтов и т.п., обходя запреты АИ.[/QUOTE]
Это в какой версии АИ?
[QUOTE]Алексей Романов пишет:
в редакторе СС копировал семейство в свою библиотеку и там менял обозначение.[/QUOTE]
Прямо в редакторе библиотек? Была мысль заняться этим. Но ведь детали тогда будут всегда вставляться с этим обозначением... Бывает надо один и тот же типоразмер использовать с разными параметрами в обозначении (материал, покрытие и т.д.). Да и заранее не знаешь какие параметры обозначения конкретного типоразмера будут и какие типоразмеры вообще понадобятся.
Изменено: sloter - 15.01.2019 07:48:53
Редактирование атрибутов стандартных (СС) деталей.
Мне вот то же кажется, то раньше (до смены ПК, в АИ 2016) то же сохранялось... После перехода на новый комп и АИ2018 перестало. Всё так же делал - накололся, что перестало сохраняться. Пробовал на папку СС (дефолтную) расширить доступ - не помогло. Версия Material_NET та же.
Изменено: sloter - 14.01.2019 12:39:19
Редактирование атрибутов стандартных (СС) деталей.
Всем привет!
Часто надо редактировать обозначение (по умолчанию) стандартной детали. Например, вводить группу прочности, материал, покрытие и т.д. Если детали вставлены как стандартные, то их атрибуты не редактируются (только для чтения). Сейчас я делаю так. Сначала вставляю детали (например, крепёж) как стандартные (автоматический подбор и привязки). Затем ПКМ>Заменить из библиотеки компонентов, оставляю те же параметры, ставлю "Как пользов." и "Заменить все", сохраняю в папку проекта. Привязки и возможность менять типоразмер при этом сохраняются. Теперь можно менять и сохранять обозначение (работаю в Material_NET В. Руленко). Хотелось бы упростить и сократить процедуру. Кто как решает эту проблему?
Перевод моделей и чертежей из Solidworks в Inventor
[QUOTE]alexkar пишет:
В новой версии инвентора (2019) есть такая функция, как AnyCAD, которая по идее должна выполнять перевод в Inventor, на сколько она работает?[/QUOTE]
Конвертирование по сути было с самого начала. В этом плане принципиально ни чего не изменилось. Суть AnyCAD в другом - ассоциативное заимствование в проектах Инвентор деталей и сборок в других форматах (без конвертации) с сохранением этой ассоциативной связи. Просто объединены эти 2 процесса в одном окне с опциями Ссылочная модель (AnyCAD) или Конвертация.
А по теме, по мне так уж лучше прямое редактирование, чем автораспознавалка. То что выдаёт автораспознавалка не даёт почти ни какого преимущества перед прямым редактированием, чаще наоборот.
Изменено: sloter - 04.02.2019 14:09:35
Создать канавки на боковой поверхности
[QUOTE]blooddew пишет:
Да именно так, но у меня не дает сделать([/QUOTE]
Конкретную (вашу) геометрию (файл) надо смотреть. Как говорил выше, возможно такой уклон на вашей конкретной геометрии геометрически не возможен (не хватает грани). Уклон в принципе (с каким нибудь углом) получается?
Изменено: sloter - 12.01.2019 21:38:00
Создать канавки на боковой поверхности
[QUOTE]blooddew пишет:
чтобы потом был съем при литье[/QUOTE]
[QUOTE]blooddew пишет:
не получается у неё внешний контур наклонить наружу под 45 градусов[/QUOTE]
Что значит наклонить? Выражаясь техническим языком, сделать уклон (литейный) боковой поверхности выборки? Для этого есть специальная команда "Наклон грани".

Или что то другое имеется ввиду?

Может в вашем случае уклон с таким углом геометрически невозможен?
111.png (315.29 КБ)
112.png (126.21 КБ)
Изменено: sloter - 11.01.2019 13:55:25
Вариации сборки выполненной в генераторе рам, Как выполнить вариационного
[b]Александр2018,[/b]
Если копия нужна для использования в другом проекте, то проблем нет - копируем через "Комплект файлов" и меняем. А вот сделать независимую копию в том же проекте - тот ещё гемор (создание копии, переименование, замена файлов). При создании рамы с помощью FG создаётся несколько служебных файлов. Не все из них удаётся заменить на их копии в копии сборки. Поэтому корректное решение этой задачи мне не видится осуществимым. ИМХО эта технология не заточена под копирование.
Изменено: sloter - 04.12.2018 11:28:38
Add-in: формат idw в dwg, Автоматическое сохранение чертежей в формате idw в dwg
[QUOTE]sloter пишет:

[QUOTE]Gnedov пишет:
Заработало вот в таком виде:
'------start of iLogic-------
oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 1
oOptions.Value("Vector_Resolution") = 600
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If
'Set the destination file name
oDataMedium.FileName = iProperties.Value("Project", "Part Number") & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions,oDataMedium)[/QUOTE]
Вы убрали из кода блоки, отвечающие за создание подкаталога "PDF" и копирование файлов в него. Они не работали, или вам не нужны? У меня они не работают - подкаталог "PDF" в каталоге с исходным файлом не создаётся. Файлы пишутся в то же место где и исходник.
Подскажите, кто шарит, как подправить код, что бы подкаталог "PDF" создавался и файлы писались в него?
Сейчас у меня код выглядит так:
[CODE] oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 0
oOptions.Value("Vector_Resolution") = 600
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If

'get PDF target folder path
'\oFolder = Left(oPath, InStrRev(oPath, "\")) & "PDF"
oFolder = "D:\" & "PDF"
'\oFolder = "PDF"

'Check for the PDF folder and create it if it does not exist
If Not System.IO.Directory.Exists(oFolder) Then
  System.IO.Directory.CreateDirectory(oFolder)
End If
'Set the destination file name
oDataMedium.FileName = ThisDoc.FileName & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions,oDataMedium) [/CODE]
Правда не знаю, работает ли верхняя часть. Ибо ревизии у меня не создаются (они мне, собственно и не нужны).
Вообще задача у меня такая. На локальном компе есть разные проекты с чертежами (исходниками idw), pdf с которых должны храниться на сервере в разных папках (по проектам) и автоматически актуализироваться (перезаписываться) при изменении (сохранении) исходного чертежа idw. В течении дня могут редактироваться файлы из разных проектов, поэтому задать какую то конкретную папку для сохранения pdf нельзя (либо её надо будет постоянно в ручную менять в правиле, что может привести к ошибке). Не знаю, можно ли это реализовать только в правиле iLogic... Сомневаюсь, ибо как задать автоматическое определение папки, куда писать, пока не представляю. Пока, как вариант, хочу попробовать автоматически настроить запись(перезапись) pdf в подпапку "PDF" каталога с исходником (локально). А синхронизацию файлов (папок) на сервер настроить (для всех проектов) специальной прогой-синхронизатором.[/QUOTE]
Изменено: sloter - 09.11.2018 14:36:24
Add-in: формат idw в dwg, Автоматическое сохранение чертежей в формате idw в dwg
[QUOTE]Gnedov пишет:
Заработало вот в таком виде:
'------start of iLogic-------
oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 1
oOptions.Value("Vector_Resolution") = 600
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If
'Set the destination file name
oDataMedium.FileName = iProperties.Value("Project", "Part Number") & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions,oDataMedium)[/QUOTE]

Вы убрали из кода блоки, отвечающие за создание подкаталога "PDF" и копирование файлов в него. Они не работали, или вам не нужны? У меня они не работают - подкаталог "PDF" в каталоге с исходным файлом не создаётся. Файлы пишутся в то же место где и исходник.
Подскажите, кто шарит, как подправить код, что бы подкаталог "PDF" создавался и файлы писались в него?
Сейчас у меня код выглядит так:
[CODE]oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 0
oOptions.Value("Vector_Resolution") = 600
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If

'get PDF target folder path
'\oFolder = Left(oPath, InStrRev(oPath, "\")) & "PDF"
oFolder = "D:\" & "PDF"
'\oFolder = "PDF"

'Check for the PDF folder and create it if it does not exist
If Not System.IO.Directory.Exists(oFolder) Then
  System.IO.Directory.CreateDirectory(oFolder)
End If
'Set the destination file name
oDataMedium.FileName = ThisDoc.FileName & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions,oDataMedium)[/CODE]
Правда не знаю, работает ли верхняя часть. Ибо ревизии у меня не создаются (они мне, собственно и не нужны).
Вообще задача у меня такая. На локальном компе есть разные проекты с чертежами (исходниками idw), pdf с которых должны храниться на сервере в разных папках (по проектам) и автоматически актуализироваться (перезаписываться) при изменении (сохранении) исходного чертежа idw. В течении дня могут редактироваться файлы из разных проектов, поэтому задать какую то конкретную папку для сохранения pdf нельзя (либо её надо будет постоянно в ручную менять в правиле, что может привести к ошибке). Не знаю, можно ли это реализовать только в правиле iLogic... Сомневаюсь, ибо как задать автоматическое определение папки, куда писать, пока не представляю. Пока, как вариант, хочу попробовать автоматически настроить запись(перезапись) pdf в подпапку "PDF" каталога с исходником. А синхронизацию файлов на сервере настроить (для всех проектов) специальной прогой (типа для бэкапа).
Изменено: sloter - 09.11.2018 08:01:41
СЛЕЗЫ AUTODESK INVENTOR, Описание проблем, недоработок и что нужно сделать
[QUOTE]filat пишет:
Что-то 2019-ый заставил меня вспомнить о старых временах, когда ежечасный крах программы был нормой жизни
А в бэте я как-то этого не замечал, хотя крутил одни и теже сборки...[/QUOTE]
Ну что наладилась стабильность 2019 с последними обновлениями? У меня базовая версия при первом же тесте обновлённой команды Отверстие упала. После установки всех последних обновлений пока падений не было. Но сильно ещё не гонял.
Inventor 2018, Обсуждение
Привет, комрады!
В мастере вставки уплотнительных круглых колец (с канавкой) 2018-й по ГОСТ предлагает только один вариант из 4х (торцевое уплотнение). Это у всех так? Можно ли как то подключить? Как с этим в 2019?
Синтаксис и правила записи уравнений (формул)
[QUOTE]Алексей Романов пишет:
Я не думаю, что разрабы заморачивались с этимм абстрактными параметрами. АИ моделирует (ИМХО) наш реальный 3-х мерный мир. Если брать размеры, то корень из площади даст размер стороны квадрата. А что даст корень из отрезка? Я просто не могу представить саму сущность результата этого действа, это не ко мне, а к разрабам)))[/QUOTE]
Я специально делал пользовательский абстрактный параметр, что бы посмотреть как ведут себя уравнения в разных ситуациях, и на аналогиях понять логику. Такой параметр вполне может иметь право на жизнь, как, например, промежуточный в каких ни будь расчётах. Он может не иметь физического смысла, но математически - да. Хотел понять, можно ли "обмануть" алгоритм, подставив правильные единицы измерения и получить нужный результат (число) расчёта без выравнивания единиц. Просто, кажется, "лепить добавку" в аргумент - это как то перебор.
[QUOTE]Алексей Романов пишет:
Тоже не согласен, если понимать суть совершаемого действия (см. вышеизложенное), то мозг сам вам подскажет, НО нужно немного опыта, как и в любом деле)))[/QUOTE]
Понятно, что если бы была необходимость - был бы опыт. Так сходу пока остаюсь при своём мнении, что здесь разрабы перемудрили.
[QUOTE]Gnedov пишет:
мм в степени 0.5 у вас получается[/QUOTE]
Ну да, это и есть корень. И в справке написано, что такие единицы функция sqrt() должна возвращать.
Изменено: sloter - 27.08.2018 07:46:35
Синтаксис и правила записи уравнений (формул)
[QUOTE]Алексей Романов пишет:
Чтобы получить миллиметры, нужно извлечь корень из квадратных миллиметров, на мой взгляд здесь все логично...[/QUOTE]
Да, логично. Спасибо. Просто я думал можно "причесать" уже вычисленный результат (в конце). Оказывается не всегда. С корнем это похоже невозможно сделать, надо лепить добавки даже к аргументу. Как то всё же это "лишние заморочки". Надо не только задавать формулу, но больше напрягать мозг как единицы измерения уравнять, в чем при работе в одних единицах нет необходимости (а это наиболее частый случай). Оно может такой режим то же нужен, но ИМХО лучше бы был альтернативный вариант без учёта ед. изм.
Вот задал сразу единицы какие нужно. Абстрактный (пользовательский) параметр что бы не противоречить ед.изм. модели. Ошибку в формуле не показывает, но результат непонятный выдаёт. Не подскажите что происходит в данном случае?
81.png (72.3 КБ)
Изменено: sloter - 24.08.2018 13:13:10
Страницы: 1 2 3 4 5 6 7 8 9 10 11 ... 62 След.